from pymilvus import Collection, utility, connections, db
 
conn = connections.connect(host="192.168.1.156", port=19530)
db.using_database("sample_db")
 
index_params = {
  "metric_type": "IP",
  "index_type": "IVF_FLAT",
  "params": {"nlist": 1024}
}
 
collection = Collection("word_vector")
collection.create_index(
  field_name="embeding",
  index_params=index_params
)
 
utility.index_building_progress("word_vector")